package com.hfkj.sysenum;

import java.util.Objects;

/**
 * 商户附件类型
 * @author hurui
 */
public enum MerAttachType {

    type1(1, "营业执照", "BUSINESS_LICENCE", "BUSINESS_LICENCE"),
    type2(2, "法人身份证正面", "ID_CARD_FRONT", "FR_ID_CARD_FRONT"),
    type3(3, "法人身份证反面", "ID_CARD_BEHIND", "FR_ID_CARD_BEHIND"),
    type4(4, "场所门头照片", "SHOP_OUTSIDE_IMG", "MERCHANT_PHOTO"),
    type5(5, "场所内部照片", "SHOP_INSIDE_IMG", "SHOPINNER"),
    type6(6, "场所收银台照片", "CHECKSTAND_IMG", ""),
    type7(7, "银行卡照片", "BANK_CARD", "BANK_CARD"),
    type8(8, "开户许可证", "OPENING_PERMIT",""),
    type9(9, "结算人身份证人像面", "SETTLE_ID_CARD_FRONT",""),
    type10(10, "结算人身份证国徽面", "SETTLE_ID_CARD_BEHIND",""),
    type11(11, "协议", "AGREE_MENT",""),
    type12(12, "法人授权涵", "LETTER_OF_AUTHORIZATION",""),
    type99(99, "补充资料", "OTHERS","OTHERS"),
    ;

    private Integer number;

    private String name;

    private String lklSaasCode;
    private String lklCode;

    MerAttachType(int number, String name, String lklSaasCode, String lklCode) {
        this.number = number;
        this.name = name;
        this.lklSaasCode = lklSaasCode;
        this.lklCode = lklCode;
    }

    public static MerAttachType getDataByNumber(Integer number) {
        for (MerAttachType ele : values()) {
            if (Objects.equals(number,ele.getNumber())) {
                return ele;
            }
        }
        return null;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getLklSaasCode() {
        return lklSaasCode;
    }

    public void setLklSaasCode(String lklSaasCode) {
        this.lklSaasCode = lklSaasCode;
    }

    public String getLklCode() {
        return lklCode;
    }

    public void setLklCode(String lklCode) {
        this.lklCode = lklCode;
    }
}
